#include "mbed.h"
#include "LG1300L.h"

Serial pc(USBTX, USBRX); // tx, rx

I2C i2c(p28,p27);
DigitalOut LED (LED1);

int main() {
    LG1300L IMU(i2c, 2);

    while(1) {
        float angle = IMU.GetAngle();
        float ROT= IMU.GetROT();
        float X_ACC = IMU.GetACC_X();
        float Y_ACC = IMU. GetACC_Y();
        float Z_ACC = IMU. GetACC_Z();
        pc.printf("///////////////////////////////////\n");
        pc.printf("//ANGLE: %f\n", angle);
        pc.printf("//ROT: %f\n", ROT);
        pc.printf("//X-Axis: %f\n", X_ACC );
        pc.printf("//Y-Axis: %f\n", Y_ACC );
        pc.printf("//Z-axis: %f\n", Z_ACC );
        pc.printf("///////////////////////////////////\n");
        wait(1);
    }
}
    